Create a Contact
post
/public/v1/contactsBody
application/jsonfirst_namestringrequiredmax length 255last_namestring | nullmax length 255dobstring<date> | nullemailstring<email> | nullmax length 255phonestring | nullmax length 255mobilestring | nullmax length 255preferred_contact_methodstring | nullmax length 255occupationstring | nullmax length 255organisationobject▶Show 1 child attributesHide child attributes
idstring | null
descriptionstring | nullmax length 65535Limited to 65535 bytes.
Response
200application/jsonContactResource
dataobjectrequired▶Show 14 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-a5c6-47t8-9b0c-1d2e3f4a5b6cfull_namestringrequiredExample:Jane Doefirst_namestring | nullrequiredExample:Johnlast_namestring | nullrequiredExample:Doedobstring | nullrequiredExample:1985-03-22emailstring | nullrequiredExample:jane.doe@example.comphonestring | nullrequiredExample:02 9876 5432mobilestring | nullrequiredExample:0412 345 678genderstring | nullrequiredExample:maleoccupationstring | nullrequiredExample:Support Coordinatordescriptionstring | nullrequiredExample:Primary point of contact for schedulingarchived_atstring | nullrequiredExample:2025-01-01T00:00:00+00:00preferred_contact_methodstring | nullrequiredExample:mobilecreated_atstringrequiredExample:2024-01-15T10:30:00+00:00
401Unauthenticated403Authorization error422Validation error